POST Search SlotConfiguration Campaign Assignments
POST /sites/{site_id}/slot_configuration_campaign_assignment_search
Operation ID: Search SlotConfiguration Campaign Assignments. Tags: sites. Security: oauth2_application.
Searches for slotconfiguration campaign assignments.
The SlotConfigCampaignAssignment Search document contains a search object that allows filtering on various attributes.
The query attribute specifies a complex query that can be used to narrow down the search. Attributes are grouped into different buckets. These are the list of searchable attributes with their corresponding buckets:
Main:
-
rank - Integer
-
start_date - Date
-
end_date - Date
Campaign:
-
campaign_id - String
-
enabled - Boolean
Slot configuration:
-
slot_configuration_id - String
-
description - String
Only attributes in the same bucket can be joined using a disjunction (OR). For instance, when joining rank and description above, only a conjunction is allowed (AND), whereas slot_configuration_id and description can be joined using a disjunction because they are in the same bucket. If an attribute is used in a disjunction (OR) that violates this rule, an exception will be thrown.
Expands that can be applied for the search request
-
campaign
-
slotConfiguration
Note that only searchable attributes (excluding the ones marked with above with an asterisk) can be used in sorting.
This endpoint may return the following faults:
- 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.
Parameters
site_id(path, string, required) The site context.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
MalformedSearchParameterException- Thrown if the query is ill-formed.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:slot_configuration_campaign_assignment_search_result.